Subject: Re: cygwin x11 doesn't start after windows 10 upgrade
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2020 11:55:00 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>>>>> Steinar Bang <[email-masked]>:

>>>>> Marco Atzeri via Cygwin <[email-masked]>:
>> can you start X11 with startxwin ?
>> If you start with just "XWin :0 -multiwindow -clipboard"
>> does it work ?

> startxwin isn't found:
>  sbang@ITEM-S63383:~$ startxwin
>  -bash: startxwin: command not found
>  sbang@ITEM-S63383:~$ which startxwin
>  which: no startxwin in (/usr/local/bin:/usr/bin:/cygdrive/c/Program Files (x86)/Common Files/Oracle/Java/javapath:/cygdrive/c/ProgramData/Oracle/Java/javapath:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/c/WINDOWS/System32/WindowsPowerShell/v1.0:/cygdrive/c/Program Files/Intel/WiFi/bin:/cygdrive/c/Program Files/Common Files/Intel/WirelessCommon:/cygdrive/c/Program Files/Git/cmd:/cygdrive/c/ProgramFiles/apache-maven-3.6.3/bin:/cygdrive/c/Program Files (x86)/Calibre2:/cygdrive/c/ProgramFiles/GnuWin32/bin:/cygdrive/c/Program Files/nodejs:/cygdrive/c/WINDOWS/System32/WindowsPowerShell/v1.0:/cygdrive/c/Program Files/Java/jdk1.8.0_241/bin:/cygdrive/c/Program Files/PuTTY:/cygdrive/c/WINDOWS/System32/OpenSSH:/cygdrive/d/Profiles/sbang/AppData/Local/
>  Microsoft/WindowsApps:/cygdrive/d/Profiles/sbang/AppData/Local/Programs/Fiddler:/cygdrive/d/Profiles/sbang/AppData/Roaming/npm:/cygdrive/c/Program Files/Microsoft VS Code/bin:/cygdrive/c/Application
>  s/Atlassian/atlassian-plugin-sdk-8.0.16/bin:/cygdrive/d/Profiles/sbang/AppData/Local/Microsoft/WindowsApps:/cygdrive/d/Profiles/sbang/apps/bin:/usr/local/go)
>  sbang@ITEM-S63383:~$

> I thought it might be because xorg-scripts wasn't installed, so I
> installed xorg-scripts 1.0.1-1, but it didb't make startxwin appear.

> I *do* have xorg-server 1.20.5-3 installed (and it was working until a
> couple of days ago).

> startxwin is supposed to be installed with xorg-server?

I was missing the xinit package and installed xinit 1.4.1-1 and then I
got startxwin.

It failed in the startup with messages that looks similar to the ones
output to the log file:
sbang@ITEM-S63383:~$ startxwin
xauth:  file /cygdrive/d/Profiles/sbang/.Xauthority does not exist
xauth:  file /cygdrive/d/Profiles/sbang/.Xauthority does not exist

Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 1.20.5.0
OS: CYGWIN_NT-10.0-18363 ITEM-S63383 3.1.5-340.x86_64 2020-06-01 08:59 UTC x86_64
OS: Windows 10  [Windows NT 10.0 build 18363] (Win64)
Package: version 1.20.5-3 built 2019-09-06

XWin was started with the following command line:

/usr/bin/XWin :0 -multiwindow -auth
 /cygdrive/d/Profiles/sbang/.serverauth.1056

(II) xorg.conf is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
LoadPreferences: /cygdrive/d/Profiles/sbang/.XWinrc not found
LoadPreferences: Loading /etc/X11/system.XWinrc
LoadPreferences: Done parsing the configuration file...
winDetectSupportedEngines - RemoteSession: no
winDetectSupportedEngines - DirectDraw4 installed, allowing ShadowDDNL
winDetectSupportedEngines - Returning, supported engines 00000005
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error
sbang@ITEM-S63383:~$

Starting with "XWin :0 -multiwindow -clipboard" outputs pretty much the
same as the log file (X doesn't start):
sbang@ITEM-S63383:~$ XWin :0 -multiwindow -clipboard
Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 1.20.5.0
OS: CYGWIN_NT-10.0-18363 ITEM-S63383 3.1.5-340.x86_64 2020-06-01 08:59 UTC x86_64
OS: Windows 10  [Windows NT 10.0 build 18363] (Win64)
Package: version 1.20.5-3 built 2019-09-06

XWin was started with the following command line:

XWin :0 -multiwindow -clipboard

(II) xorg.conf is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
LoadPreferences: /cygdrive/d/Profiles/sbang/.XWinrc not found
LoadPreferences: Loading /etc/X11/system.XWinrc
LoadPreferences: Done parsing the configuration file...
winDetectSupportedEngines - RemoteSession: no
winDetectSupportedEngines - DirectDraw4 installed, allowing ShadowDDNL
winDetectSupportedEngines - Returning, supported engines 00000005
sbang@ITEM-S63383:~$

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple